package com.red.circle.other.app.inner.service.user.user;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.user.UserCustomGiftQryCmd;
import com.red.circle.other.inner.model.dto.user.UserCustomGiftRecordDTO;
import java.util.Map;

/**
 * 用户领取专属礼物记录
 * @author zongpubin on 2024/1/31
 */
public interface UserCustomGiftClientService {

  PageResult<UserCustomGiftRecordDTO> getCustomGift(UserCustomGiftQryCmd query);

  void switchStatus(Long id, Boolean status);

  UserCustomGiftRecordDTO userCustomGift(Long id);

  void updateSelectiveById(UserCustomGiftRecordDTO cmd);

  void saveCustomGift(UserCustomGiftRecordDTO dto);

  Map<Integer, UserCustomGiftRecordDTO> mapByAmount(Long userId);
}
